=== aux/plugins/kafka/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(Plugin)
include(BroPlugin)
find_package(LibRDKafka)
find_package(OpenSSL)

if (LIBRDKAFKA_FOUND AND OPENSSL_FOUND)
  include_directories(BEFORE ${LibRDKafka_INCLUDE_DIR} ${OpenSSL_INCLUDE_DIR})
  bro_plugin_begin(BRO KAFKA)
  bro_plugin_cc(src/KafkaWriter.cc)
  bro_plugin_cc(src/Plugin.cc)
  bro_plugin_cc(src/TaggedJSON.cc)
  bro_plugin_bif(src/kafka.bif)
  bro_plugin_dist_files(README CHANGES COPYING VERSION)
  bro_plugin_link_library(${LibRDKafka_LIBRARIES})
  bro_plugin_link_library(${LibRDKafka_C_LIBRARIES})
  bro_plugin_link_library(${OpenSSL_LIBRARIES})
  bro_plugin_end()

elseif (NOT LIBRDKAFKA_FOUND)
  message(FATAL_ERROR "LibRDKafka not found.")

elseif (NOT OPENSSL_FOUND)
  message(FATAL_ERROR "OpenSSL not found.")

endif ()
