=== debian/changelog ===
bro (2.5.1-1build1) artful; urgency=medium

  * No-change rebuild against new glibc

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Sep 2017 08:03:05 -0700

bro (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 14:23:59 +0200
