=== man/CMakeLists.txt ===

install(DIRECTORY . DESTINATION ${BRO_MAN_INSTALL_PATH}/man8 FILES_MATCHING
        PATTERN "*.8"
)
