=== debian/changelog ===
bro (2.5.3-1build1) bionic; urgency=medium

  * No-change rebuild to get bumped libc6 deps on i386/ppc64el (why are these
    upper bounded?)

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 02 Mar 2018 18:19:06 +0000

bro (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3
  * Bump Standards-Version
  * Update VCS fields for salsa
  * Bump version in binpac build-dependency
  * Clean up debian/rules

 -- Hilko Bengen <bengen@debian.org>  Thu, 15 Feb 2018 17:08:02 +0100

bro (2.5.2-2) unstable; urgency=medium

  * Add patches to port everything but OCSP-related features to OpenSSL
    1.1 (Closes: #851091)

 -- Hilko Bengen <bengen@debian.org>  Wed, 29 Nov 2017 16:40:09 +0100

bro (2.5.2-1) unstable; urgency=medium

  * Update upstream's public key
  * New upstream version 2.5.2
  * Modernize package: Bump DH compat level, Standards-Version; 
    fix VCS-* URLs

 -- Hilko Bengen <bengen@debian.org>  Tue, 17 Oct 2017 10:54:57 +0200
