=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+dfsg\d*$// \
    https://www.bro.org/downloads/ bro-(\d.*)-minimal\.tar\.gz
