## bro 2.5.4

=== debian/changelog ===
bro (2.5.4-1build1) cosmic; urgency=medium

  * No-change rebuild against glibc 2.28

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Aug 2018 10:54:57 -0700

bro (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4
  * Bump binpac build-dependency
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sun, 17 Jun 2018 12:47:27 +0200
