=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Raúl Benencia <rul@kalgan.cc>
 Build-Depends: debhelper (>= 10),
  cmake,
- binpac (>= 0.48),
+ binpac (>= 0.49),
  btest,
  bison,
  flex,
@@ -20,7 +20,7 @@
  libssl-dev (>= 1.1),
  libxml2-dev,
  zlib1g-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.bro.org
 Vcs-Git: https://salsa.debian.org/git/bro-team/bro.git
 Vcs-Browser: https://salsa.debian.org/bro-team/bro
